SelectParser (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.classic
Class SelectParser

    java.lang.Object
      org.hibernate.hql.internal.classic.SelectParser

All Implemented Interfaces:
  Parser

    public class SelectParser

extends Object
implements Parser

Parsers the select clause of a Hibernate query.

Constructor Summary
`SelectParser()`

Method Summary
`boolean` | `aggregateFuncNoArgsHasParenthesis(String funcToken, QueryTranslatorImpl q)`
`boolean` | `aggregateHasArgs(String funcToken, QueryTranslatorImpl q)`
`Type` | `aggregateType(List funcTokenList, Type type, QueryTranslatorImpl q)`
`void` | `end(QueryTranslatorImpl q)`
`void` | `start(QueryTranslatorImpl q)`
`void` | `token(String token, QueryTranslatorImpl q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectParser

    public SelectParser()

Method Detail

### token

    public void token(String token,
                      QueryTranslatorImpl q)
               throws QueryException

  Specified by:
    `token` in interface `Parser`
  Throws:
    `QueryException`

### aggregateHasArgs

    public boolean aggregateHasArgs(String funcToken,
                                    QueryTranslatorImpl q)

### aggregateFuncNoArgsHasParenthesis

    public boolean aggregateFuncNoArgsHasParenthesis(String funcToken,
                                                     QueryTranslatorImpl q)

### aggregateType

    public Type aggregateType(List funcTokenList,
                              Type type,
                              QueryTranslatorImpl q)
                       throws QueryException

  Throws:
    `QueryException`

### start

    public void start(QueryTranslatorImpl q)

  Specified by:
    `start` in interface `Parser`

### end

    public void end(QueryTranslatorImpl q)

  Specified by:
    `end` in interface `Parser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.